Subject: Re: DLL problem
From: [email-masked] (Fergus Henderson)

30 Aug 1997 18:56:18 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked] (Stephane Mariel)
Original-Cc: [email-masked] (Cygnus GNU-win32 mailing list)
In-Reply-To: <[email-masked]> from Stephane Mariel at "Aug 19, 97 11:47:23 am"
X-Mailer: ELM [version 2.4ME+ PL15 (25)]
Original-Sender: [email-masked]

Stephane Mariel, you wrote:
> I'm trying to port a unix network tool (at least the client) to Win95/NT ,
> since there is a DLL to create, I tested the example provided on
> www.cygnus.com.
> 
> It works fine, i got my foo.dll, main.exe, but moving to my real software
> when I run ld for the first time I got
> 
> c:/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/lib/libcygwin.a(libccrt0.o)(.t
> ext+0x8a):libccrt0.cc: undefined reference to `GetModuleHandleA@4'
> c:/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/lib/libcygwin.a(libcmain.o)(.t
> ext+0xc):libcmain.cc: undefined reference to `GetModuleHandleA@4'
> c:/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/lib/libcygwin.a(libcmain.o)(.t
> ext+0x15):libcmain.cc: undefined reference to `GetCommandLineA@0'
> c:/gnuwin32/b18/H-i386-cygwin32/i386-cygwin32/lib/libcygwin.a(libcmain.o)(.t
> ext+0x1e):libcmain.cc: undefined reference to `WinMain@16'

This occurs because there is no definition for `_impure_ptr' in your DLL.
See <http://www.cs.mu.oz.au/~fjh/gnu-win32/how-to-build-dlls.html>
for a brief explanation about `_impure_ptr'.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".